﻿namespace TestProject
{
    /// <summary>
    /// 난파선 항목
    /// </summary>
    public class ShipwreckItem
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 연도 - Year

        /// <summary>
        /// 연도
        /// </summary>
        public int Year { get; }

        #endregion
        #region 이름 - Name

        /// <summary>
        /// 이름
        /// </summary>
        public string Name { get; }

        #endregion
        #region 설명 - Description

        /// <summary>
        /// 설명
        /// </summary>
        public string Description { get; }

        #endregion
        #region 위도 - Latitude

        /// <summary>
        /// 위도
        /// </summary>
        public double Latitude { get; }

        #endregion
        #region 경도 - Longitude

        /// <summary>
        /// 경도
        /// </summary>
        public double Longitude { get; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - ShipwreckItem(year, name, description, latitude, longitude)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="year">연도</param>
        /// <param name="name">이름</param>
        /// <param name="description">설명</param>
        /// <param name="latitude">위도</param>
        /// <param name="longitude">경도</param>
        public ShipwreckItem(int year, string name, string description, double latitude, double longitude)
        {
            Year        = year;
            Name        = name;
            Description = description;
            Latitude    = latitude;
            Longitude   = longitude;
        }

        #endregion
    }
}